Name:           libquvi
Version:        0.9.2
Release:        1%{?dist}
Summary:        A cross-platform library for parsing flash media stream
License:        AGPLv3+
URL:            http://quvi.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/quvi/0.9/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  lua-devel lua-socket
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel libgcrypt-devel libproxy-devel libquvi-scripts
BuildRequires:  doxygen
BuildRequires:  pkgconfig
Requires:       libquvi-scripts

%description
Libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      quvi-devel <= 0.2.19
Provides:       quvi-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --enable-static=no --disable-rpath
make %{?_smp_mflags} V=1
make doc

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README 
%{_libdir}/%{name}-0.9-0.9.2.so
%{_mandir}/man3/%{name}.3*

%files devel
%{_includedir}/quvi-0.9
%{_libdir}/%{name}-0.9.so
%{_libdir}/pkgconfig/%{name}-0.9.pc
%{_mandir}/man7/quvi-object.7*

%changelog
* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 0.9.2-1
- New version.
- SPEC Cleanup.
- License changed to AGPL.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.1-1
- Update to 0.4.1

* Sun Dec 11 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.0-5
- Fix Obsoletes version

* Wed Oct 19 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.0-4
- Remove the pkgconfig require for the devel package

* Tue Oct 11 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.0-3
- Fix BuilRequires

* Sun Oct  9 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.0-2
- Fix requires

* Sat Oct  8 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.0-1
- Initial build
